/**************** (c) 2002 STMicroelectronics **********************

PROJECT  : 
COMPILER : 

MODULE  :  clock_reset_supply.c
VERSION :  

CREATION DATE : 01.2001 

AUTHOR : CMG 8-bit Micro Application Team  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : 

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************
              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/

#include "lib.h"
#include "debug.h"
#include "clock_reset_supply_hr.h"
#include "clock_reset_supply.h"


/*-----------------------------------------------------------------------------
ROUTINE NAME : CLOCK_Init
INPUT/OUTPUT : None

DESCRIPTION  : Configure the CLOCK , RESET and SUPPLY

COMMENTS     :
-----------------------------------------------------------------------------*/
void CRS_Init (void)
{
RCCR = *(u8*)RCCR0;		// cal. value is on FFDE for 5V@1MHz
}       


#ifdef __HIWARE__				/* test for HIWARE Compiler */
#pragma TRAP_PROC SAVE_REGS		/* additional registers will be saved */
#else
#ifdef __CSMC__					/* test for Cosmic Compiler */
@interrupt						/* Cosmic interrupt handling */
#else
#error"Unsupported Compiler!"	/* Compiler Defines not found! */
#endif
#endif
/*-----------------------------------------------------------------------------
ROUTINE NAME : AVD_Interrupt
INPUT/OUTPUT : None

DESCRIPTION  : 

COMMENTS     : 
-----------------------------------------------------------------------------*/ 
void AVD_Interrupt(void)
{
}



/*** (c) 2002  STMicroelectronics ****************** END OF FILE ***/

