/********************* (c) 2002 STMicroelectronics ****************************

PROJECT  : 
COMPILER : 

MODULE  :  interrupt_contr_hr.h
VERSION :  

CREATION DATE : 01.2001 

AUTHOR : Central Europe 8bit Micro Application Group  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : interrupt controller hardware registers declaration

              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 *****************************************************************************/
#ifndef ITC3_HR_H                    
#define ITC3_HR_H

/*--------------------------------REGISTER DECLARATION-----------------------*/

#ifdef __HIWARE__						/* only for HIWARE Compiler*/
#pragma DATA_SEG SHORT ITC
extern volatile u8 EICR;                /* External Interrupt Control Register */
#pragma DATA_SEG DEFAULT
#endif

#ifdef __CSMC__							/* only for Cosmic Compiler*/
@tiny extern volatile u8 EICR @0x37;    /* External Interrupt Control Register */
#endif

/*------------------------------REGISTER BITS DEFINITION---------------------*/

#endif
/******** (c) 2002  STMicroelectronics ****************** END OF FILE ********/
