/**************** (c) 2000 STMicroelectronics **********************

PROJECT  : 
COMPILER : COSMIC

MODULE  :  vector.c
VERSION :  

CREATION DATE: 22.2.2004 

AUTHOR : PPG 8-bit Micro Application Team  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : File contains Prototypes of Interrupt Service Routines

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 ******************************************************************************

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

******************************************************************************/


void Dummy_Interrupt (void);
void SPI_Interrupt (void);
void LITE_TIMER_RTC_Interrupt (void);
void LITE_TIMER_IC_Interrupt (void);
void AR_TIMER_OF_Interrupt (void);
void AR_TIMER_OC_Interrupt (void);
void AVD_Interrupt (void);
void PORTS_3_Interrupt (void);
void PORTS_2_Interrupt (void);
void PORTS_1_Interrupt (void);
void PORTS_0_Interrupt (void);
void TRAP_Interrupt (void);
void _stext(void);

void (*const _vectab[])() = {
       Dummy_Interrupt,
       SPI_Interrupt,
       Dummy_Interrupt,    //LITE_TIMER_RTC_Interrupt,
       Dummy_Interrupt,
       AR_TIMER_OF_Interrupt,
       Dummy_Interrupt,
       Dummy_Interrupt,
       Dummy_Interrupt,
       Dummy_Interrupt,
       Dummy_Interrupt,
       Dummy_Interrupt,
       PORTS_1_Interrupt,
       Dummy_Interrupt,
       Dummy_Interrupt,
       TRAP_Interrupt,
       _stext
       };

/*** (c) 2000 STMicroelectronics ****************** END OF FILE ***/
