/********************* (c) 2002 STMicroelectronics ****************************

PROJECT  : 
COMPILER : 

MODULE  :  interrupt_contr.c
VERSION :  

CREATION DATE : 01.2001

AUTHOR : Central Europe 8bit Micro Application Group  

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

DESCRIPTION : interrupt controller routines

              
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

MODIFICATIONS :

 ******************************************************************************
 THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY. ST MICROELECTRONICS
 SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES
 WITH RESPECT TO ANY CLAIMS ARISING FROM USE OF THIS SOFTWARE.
 *****************************************************************************/

#include "lib.h"
#include "interrupt_contr_hr.h"
#include "interrupt_contr.h"

/*-----------------------------------------------------------------------------
ROUTINE NAME : ITC_Init
INPUT/OUTPUT : None

DESCRIPTION  : Configure the Interrupt Controller Module

COMMENTS     :
-----------------------------------------------------------------------------*/
void ITC_Init(void)
{
EICR     = 0x08; //ei1 interrupt like falling edge only 0000 1000
}       


/******** (c) 2002  STMicroelectronics ****************** END OF FILE ********/
